# FR FANTAZY

The application  was built using Flutter (Frontend), Node.js and Express (Backend). It uses MySQL for database.


<img src="https://repository-images.githubusercontent.com/31792824/fb7e5700-6ccc-11e9-83fe-f602e1e1a9f1" width="100" height="100"/><img src="https://img.icons8.com/color/480/000000/nodejs.png" width="100"/><img src="https://i0.wp.com/ittrends.tech/wp-content/uploads/2017/08/MySQL_57.jpg?fit=850%2C425" width="100" height="100"/>

#### Logo

<img src="https://fv2-1.failiem.lv/thumb_show.php?i=hdu237kcw&view" alt="logo-page" width="700" />

#### Login

<img src="https://fv2-2.failiem.lv/thumb_show.php?i=ydjav5pdw&view" alt="login-page" width="700" />

#### Latest news

<img src="https://fv2-1.failiem.lv/thumb_show.php?i=38w6ykber&view" alt="welcome-page" width="700" />

#### FR

<img src="https://fv2-1.failiem.lv/thumb_show.php?i=d3j9zs3jw&view" alt="trade-page" width="700" />

#### Statistics

<img src="https://fv2-3.failiem.lv/thumb_show.php?i=76d3u93em&view" alt="trade-page" width="700" />

#### Clubs Fantazy Ranking

<img src="https://fv2-3.failiem.lv/thumb_show.php?i=xee6czwbk&view" alt="portfolio-page" width="700" />

#### Squad List

<img src="https://fv2-1.failiem.lv/thumb_show.php?i=waw4538fd&view" alt="beginners-page" width="700" />

#### Update Squad Fantazy

<img src="https://fv2-2.failiem.lv/thumb_show.php?i=2h76h9gsg&view" alt="beginners-page" width="700" />

## Instructions & How to use the app

1. import fantazytest.sql file to your php my admin cd into the app root directory/projects  in your terminal
2. run command npm install and then run your waamp/xaamp server and run command npm start in projects directory
3. go to Fantasy folder and run the flutter project in your IDE and get the dependecies pub get 
4. In the Fantazy/libs/key directory there is a file called Key.dart that contains static variable called url, make sure to replace the content by your adress IP v4
5. Run your project in Emulator or in Real Device by clicking Run button in your IDE
6. Enjoy!

## Troubleshooting

1. Make sure to put the right IP in Key.dart
2. In case node did not work delete node_modules folder and rerun npm install and then npm start
3. 2. In case the football season is over you have to wait until next season some functionalities may not be available when the season is over
4. if the premium key date is over you must renew it or some functions will not work again , check it Key.dart with key value

## Summary

FR Fantazy is a Sports/Entertainment mobile cross plateform application using Flutter, this applications offers many services such as checking latest soccer news , follow your favourite team in French League and check available statistics data. However FR Fantasy offers a new user experiance by giving you possibility to create your own squad and choose your players for every fixture and see your ranking with other Fantazy players! You can also see all your squad statistics for every played fixture after it ends. FR Fantasy can be used by all mobile terminals and will attract all French Football supporters by the quality services offered. Enjoy!

## Technologies

- Flutter - Front End Mobile Cross Plateform Framework
- Node.js and Express.js - Backend  API
- MySQL - Database


## Authors

- Dhyaddine Blel 
- Fares Ben Slama
- Malek Taktak
